package domain

type AlibabaWdkCouponSkuQueryUserInfo struct {
	/*
	   用户id     */
	UserId *int64 `json:"user_id,omitempty" `

	/*
	   用户名称     */
	UserName *string `json:"user_name,omitempty" `

	/*
	   来源     */
	Source *string `json:"source,omitempty" `
}

func (s *AlibabaWdkCouponSkuQueryUserInfo) SetUserId(v int64) *AlibabaWdkCouponSkuQueryUserInfo {
	s.UserId = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryUserInfo) SetUserName(v string) *AlibabaWdkCouponSkuQueryUserInfo {
	s.UserName = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryUserInfo) SetSource(v string) *AlibabaWdkCouponSkuQueryUserInfo {
	s.Source = &v
	return s
}
